Summary:  	Terminal Server Client is a frontend for rdesktop for the GNOME2 platform
Name:     	tsclient
Version:  	0.150
Release:  	%mkrel 1
License: 	GPL
Group:		Networking/Remote access 
URL:		http://www.gnomepro.com/tsclient/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source:		%{name}-%{version}.tar.gz

Requires:	rdesktop >= 1.3
BuildRequires:	gnome-panel-devel
BuildRequires:	ImageMagick
BuildRequires:	gettext

%description
Terminal Server Client is a frontend for rdesktop for the GNOME2 platform.
Also support vnc.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# icon
mkdir -p %{buildroot}%{_iconsdir} %{buildroot}%{_miconsdir}
install -D -m 644       tsclient.png %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 32x32 tsclient.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 tsclient.png %{buildroot}%{_miconsdir}/%{name}.png

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Network" \
  --add-category="X-MandrivaLinux-Internet-RemoteAccess" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf ${RPM_BUILD_ROOT}

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS NEWS
%{_bindir}/tsclient
%{_libdir}/bonobo/servers/*.server
%{_libexecdir}/tsclient-applet
%{_datadir}/application-registry/tsclient.applications
%{_datadir}/applications/tsclient.desktop
%{_datadir}/pixmaps/*
%{_datadir}/mime-info/*
%{_mandir}/man1/*
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Sat Jul 14 2007 Neverstopdreaming <neverstopdreaming@gmail.com> 0.150-1pclos2007
- build and adapt for PCLOS2007 
